<?php
/*
 * Sidebar widget area.
 *
 * @package WordPress
 * @subpackage WPstart
 */
?>

<?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>
<div class="sidebar sidebar-first">
	<ul class="widget-area first">
		<?php dynamic_sidebar( 'sidebar-1' ); ?>
	</ul>
</div>
<?php else: ?>
<div class="sidebar sidebar-first">
	<ul class="widget-area first">
		<li id="search" class="widget-container widget_search">
			<?php get_search_form(); ?>
		</li>
		
		<li id="archives" class="widget-container widget_archive">
			<h3 class="widget-title"><?php _e( 'Archives', 'wpstart' ); ?></h3>
			<ul>
				<?php wp_get_archives( 'type=monthly' ); ?>
			</ul>
		</li>

		<li id="meta" class="widget-container widget_meta">
			<h3 class="widget-title"><?php _e( 'Meta', 'wpstart' ); ?></h3>
			<ul>
				<?php wp_register(); ?>
				<li><?php wp_loginout(); ?></li>
				<?php wp_meta(); ?>
			</ul>
		</li>
	</ul>
</div>
<?php endif; ?>
		
<?php if ( is_active_sidebar( 'sidebar-2' ) ) : ?>
<div class="sidebar sidebar-second">
	<ul class="widget-area first">
		<?php dynamic_sidebar( 'sidebar-2' ); ?>
	</ul>
</div>
<?php endif; ?>
